 VAR

// Status Register
  SREG,


  SPH, SPL, GIMSK, GICR, GIFR,

  TIFR, SPMCR,
  SPMCSR, TWCR, MCUCR, MCUCSR, MCUSR, TCNT0,
  OSCCAL, SFIOR, TCNT1H, TCNT1L,
  ICR1H, ICR1L,
  TCNT2, WDTCR,
  UBRR1H, UBRRH, UCSRC, UCSR0C, EEARH, EEARL, EEDR, EECR,
  SPDR, SPSR, SPCR, UDR1, USR1, UCSRA, UCR1, UCSRB, UBRR1, UBRRL,
  ACSR, ADMUX, ADCSR, ADCSRA, ADCH, ADCL, TWDR, TWAR, TWSR, TWBR, EEAR,

  PORTB, DDRB, PINB, PORTC, DDRC, PINC, PORTD, DDRD, PIND,   
                  
  : ByteConReg; 

  TCNT1, OCR1A, OCR1B, ADC, ICR1 : WordConReg;


  TCCR0A, TCCR0B,
  TCCR1A, TCCR1B,
  TCCR2A, TCCR2B, ASSR,
  TIMSK0, TIMSK1, TIMSK2,
  OCR1AH, OCR1AL, OCR1BH, OCR1BL,
  OCR2B, OCR2A : ByteConVar;



  RXC[UCSRA,7] : Bit;
  TXC[UCSRA,6] : Bit;
  UDRE[UCSRA,5] : Bit;



// *** ISR-Liste ***
//
ISR_LISTE( 2,'INT0addr' ,'INT0'         ,'External Interrupt Request 0');
ISR_LISTE( 3,'INT1addr' ,'INT1'         ,'External Interrupt Request 1');

ISR_LISTE( 4,'PCI0addr' ,'PCINT0'       ,'Pin Change Interrupt Request 0');
ISR_LISTE( 5,'PCI1addr' ,'PCINT1'       ,'Pin Change Interrupt Request 1');
ISR_LISTE( 6,'PCI2addr' ,'PCINT2'       ,'Pin Change Interrupt Request 2');

ISR_LISTE( 7,'WDTaddr'  ,'WDT'          ,'Watchdog Time-out Interrupt');

ISR_LISTE( 8,'OC2Aaddr'  ,'TIMER2_COMPA' ,'Timer/Counter2 Compare Match A');
ISR_LISTE( 9,'OC2Baddr'  ,'TIMER2_COMPB' ,'Timer/Counter2 Compare Match B');

ISR_LISTE(10,'OVF2addr' ,'TIMER2_OVF'   ,'Timer/Counter2 Overflow');

ISR_LISTE(11,'ICP1addr' ,'TIMER1_CAPT'  ,'Timer/Counter1 Capture Event');

ISR_LISTE(12,'OC1Aaddr' ,'TIMER1_COMPA' ,'Timer/Counter1 Compare Match A');
ISR_LISTE(13,'OC1Baddr' ,'TIMER1_COMPB' ,'Timer/Counter1 Compare Match B');

ISR_LISTE(14,'OVF1addr' ,'TIMER1_OVF'   ,'Timer/Counter1 Overflow');

ISR_LISTE(15,'OC0Aaddr' ,'TIMER1_COMPA' ,'Timer/Counter0 Compare Match A');
ISR_LISTE(16,'OC0Baddr' ,'TIMER1_COMPB' ,'Timer/Counter0 Compare Match B');

ISR_LISTE(17,'OVF0addr' ,'TIMER0_OVF'   ,'Timer/Counter0 Overflow');

ISR_LISTE(18,'SPIaddr'  ,'SPI_STC'      ,'Serial Transfer Complete');

ISR_LISTE(19,'URXCaddr' ,'USART_RXC'    ,'USART, Rx Complete');
ISR_LISTE(20,'UDREaddr' ,'USART_UDRE'   ,'USART Data Register Empty');
ISR_LISTE(21,'UTXCaddr' ,'USART_TXC'    ,'USART, Tx Complete');

ISR_LISTE(22,'ADCCaddr' ,'ADC_CC'       ,'ADC Conversion Complete');
ISR_LISTE(23,'ERDYaddr' ,'EE_RDY'       ,'EEPROM Ready');

ISR_LISTE(24,'ACIaddr'  ,'ANA_COMP'     ,'Analog Comparator');
ISR_LISTE(25,'TWIaddr'  ,'TWI'          ,'Two-wire Serial Interface');
ISR_LISTE(26,'SPMRaddr' ,'SPM_RDY'      ,'Store Program Memory Ready');




